ScXMLObject(3)

NAME
ScXMLObject - Base class for all SCXML objects.

SYNOPSIS

#include <Inventor/scxml/ScXMLObject.h>

Inherited by ScXMLDataObj, ScXMLDocument, ScXMLElt, ScXMLEvaluator, ScXMLEvent, and ScXMLEventTarget.

  Public Member Functions
virtual SoType getTypeId (void) const =0
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and downward"casting.
SbBool isOfType (SoType type) const
Returns TRUE if the type of this object is either of the same type or inherited from type.

  Static Public Member Functions
static SoType getClassTypeId (void)
This static method returns the SoType object associated with objects of this class.
static void initClass (void)
Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.
static void cleanClass (void)
Does the opposite of initClass, deallocates any class specific resources and resets the class to an uninitialized state with respect to the Coin type system.

  Static Protected Member Functions
static void registerClassType (const char *xmlns, const char *classname, SoType type)
static void registerInvokeClassType (const char *xmlns, const char *targettype, const char *source, SoType type)

Detailed Description

Base class for all SCXML objects.

Since
    Coin 3.0

Member Function Documentation

  SoType ScXMLObject::getClassTypeId (void ) [static]

This static method returns the SoType object associated with objects of this class.

See also
    SoBase::getClassTypeId

  virtual SoType ScXMLObject::getTypeId (void ) const [pure virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and "downward" casting.

See also
    SoBase::getTypeId() const

Implemented in ScXMLAbstractStateElt, ScXMLAddOpExprDataObj, ScXMLAnchorElt, ScXMLAndOpExprDataObj, ScXMLAppendOpExprDataObj, ScXMLAssignElt, ScXMLBoolDataObj, ScXMLCoinAddOpExprDataObj, ScXMLCoinDivideOpExprDataObj, ScXMLCoinEqualsOpExprDataObj, ScXMLCoinEvaluator, ScXMLCoinLengthFuncExprDataObj, ScXMLCoinMultiplyOpExprDataObj, ScXMLCoinSubtractOpExprDataObj, ScXMLConstantDataObj, ScXMLContentElt, ScXMLDataElt, ScXMLDataModelElt, ScXMLDataObj, ScXMLDivideOpExprDataObj, ScXMLDocument, ScXMLECMAScriptEvaluator, ScXMLElseElt, ScXMLElseIfElt, ScXMLElt, ScXMLEqualsOpExprDataObj, ScXMLEvaluator, ScXMLEvent, ScXMLEventElt, ScXMLEventTarget, ScXMLExecutableElt, ScXMLExprDataObj, ScXMLFinalElt, ScXMLFinalizeElt, ScXMLHistoryElt, ScXMLIfElt, ScXMLInExprDataObj, ScXMLInitialElt, ScXMLInvokeElt, ScXMLLogElt, ScXMLMinimumEvaluator, ScXMLMinimumExprDataObj, ScXMLMultiplyOpExprDataObj, ScXMLNegateOpExprDataObj, ScXMLNotOpExprDataObj, ScXMLOnEntryElt, ScXMLOnExitElt, ScXMLOrOpExprDataObj, ScXMLParallelElt, ScXMLParamElt, ScXMLRealDataObj, ScXMLReferenceDataObj, ScXMLSbDataObj, ScXMLScriptElt, ScXMLScxmlElt, ScXMLSendElt, ScXMLStateElt, ScXMLStateMachine, ScXMLStringDataObj, ScXMLSubtractOpExprDataObj, ScXMLTransitionElt, ScXMLValidateElt, ScXMLXMLDataObj, ScXMLXPathEvaluator, SoScXMLDollyTarget, SoScXMLEvent, SoScXMLFlightControlTarget, SoScXMLMiscTarget, SoScXMLMotionTarget, SoScXMLNavigationTarget, SoScXMLPanTarget, SoScXMLRotateTarget, SoScXMLSeekTarget, SoScXMLSpinTarget, SoScXMLStateMachine, and SoScXMLZoomTarget.

  void ScXMLObject::initClass (void ) [static]

Sets up initialization for data common to all instances of this class, like submitting necessary information to the Coin type system.

See also
    SoBase::initClass()

  SbBool ScXMLObject::isOfType (SoType type) const

Returns TRUE if the type of this object is either of the same type or inherited from type.

See also
    SoBase::isOfType(SoType type) const

  void ScXMLObject::registerClassType (const char * xmlns, const char * classname, SoType type) [static], [protected]
Internal method. Friendly forwarding for ScXMLObject subclasses.

  void ScXMLObject::registerInvokeClassType (const char * xmlns, const char * targettype, const char * source, SoType type) [static], [protected]
Internal method. Friendly forwarding for ScXMLObject subclasses.

Author

Generated automatically by Doxygen for Coin from the source code.